PointCloud Class

Initializes a new instance of the PointCloud class.
Inheritance Hierarchy
SystemObject
  Tekla.Structures.ModelPointCloud

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
[SerializableAttribute]
public sealed class PointCloud

The PointCloud type exposes the following members.

Constructors
  NameDescription
Public methodPointCloud
Creates a new point cloud instance using the given parameters.
Top
Properties
  NameDescription
Public propertyBoundingBox
Gets or sets the bounding box.
Public propertyGuid
Gets or sets the guid.
Public propertyLocationBy
Gets or sets the location by value: Empty for model origin, base point guid for base point.
Public propertyName
Gets or sets the point clouds name. Abbreviated from the point cloud file name. Cannot be given by user.
Public propertyOffsetX
Gets or sets the offset X.
Public propertyOffsetY
Gets or sets the offset Y.
Public propertyOffsetZ
Gets or sets the offset Z.
Public propertyOriginalPath
Gets or sets the point clouds path (where it originally located).
Public propertyRotationZ
Gets or sets the rotation Z.
Public propertyScale
Gets or sets the scale.
Public propertyUrl
Gets or sets the point clouds URL without a file name.
Public propertyUseAutoCreatedBasePoint
Gets or sets a value indicating whether an auto-created base point should be used. If set to true, LocationBy value is ignored.
Top
Methods
  NameDescription
Public methodAttach
Attach this point cloud to model. Can select only Potree type point clouds immediately after attach. Others need to be selected manually after attach has been completed. Use AttachComplete() to find out, if attach process has completed.
Public methodAttachComplete
Checks if the point cloud attach is complete. Needed when attaching non-Potree point cloud file, which needs conversion.
Public methodDetach
Detach this point cloud from model.
Public methodStatic memberGetPointClouds
Utility function: Gets available point clouds.
Public methodGetVisibleInViews
Gets the views in which this point cloud is visible.
Public methodSelect
Select point cloud by Guid, by Name, by OriginalPath or by Url.
Public methodSetVisibility
Set point cloud visibility in given views.
Top
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next